<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="5626ee42-c744-47c1-b807-3c3a6ec78a54" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="Pixel_2_API_24" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="38" selection-start-column="38" selection-end-line="4" selection-end-column="26" />
            </state>
          </provider>
          <provider editor-type-id="android-manifest" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/lista_de_paradas.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="7" selection-start-column="7" selection-end-column="7" />
              <folding>
                <element signature="e#34#106#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="465">
              <caret line="31" column="52" selection-start-line="31" selection-start-column="52" selection-end-line="31" selection-end-column="52" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
          <provider editor-type-id="text-editor">
            <state relative-caret-position="390">
              <caret line="26" column="34" selection-start-line="26" selection-start-column="34" selection-end-line="26" selection-end-column="34" />
            </state>
          </provider>
          <provider selected="true" editor-type-id="android-designer2" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_lista_de_paradas.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="270">
              <caret line="18" column="54" selection-start-line="18" selection-start-column="54" selection-end-line="18" selection-end-column="54" />
            </state>
          </provider>
          <provider editor-type-id="android-designer2" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/values/strings.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="210">
              <caret line="14" column="50" selection-start-line="14" selection-start-column="50" selection-end-line="14" selection-end-column="50" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/MainActivity.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="315">
              <caret line="45" column="1" selection-start-line="45" selection-start-column="1" selection-end-line="45" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>imageView</find>
      <find>map</find>
      <find>gtext</find>
      <find>tv_Resul</find>
      <find>tv_resul</find>
      <find>tv_result</find>
      <find>-&gt;</find>
      <find>route</find>
      <find>get</find>
      <find>get failedRec</find>
      <find>receiving</find>
      <find>recie</find>
      <find>c1</find>
      <find>b1</find>
      <find>f1</find>
      <find>r1</find>
      <find>r2</find>
      <find>mu1</find>
      <find>mu2</find>
      <find>e1</find>
      <find>n1</find>
      <find>n2</find>
      <find>m1</find>
      <find>g1</find>
      <find>l1</find>
      <find>json-receiver.php</find>
      <find>last updated at:</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/res/values/styles.xml" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/ListaDeParadas.kt" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/ListaDeParadas.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/lista_de_paradas.kt" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_lista_de_paradas.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/strings.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/MainActivity.kt" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="67" />
    <option name="y" value="25" />
    <option name="width" value="927" />
    <option name="height" value="1055" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes />
  </component>
  <component name="PropertiesComponent">
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="Pixel_2_API_24" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2019-12-18T08:00:18.774Z" />
    <property name="android.sdk.path" value="$USER_HOME$/Android/Sdk" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../SendingData" />
    <property name="not.eligible.for.single.variant.sync" value="true" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
  </component>
  <component name="RecentsManager">
    <key name="android.template.packageName">
      <recent name="com.example.trolleymerge" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="5626ee42-c744-47c1-b807-3c3a6ec78a54" name="Default Changelist" comment="" />
      <created>1573553070544</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1573553070544</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="67" y="25" width="1853" height="1055" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info content_ui="combo" id="Project" order="1" weight="0.32690126" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Resources Explorer" order="7" weight="0.3291714" />
      <window_info id="Capture Tool" order="8" />
      <window_info anchor="bottom" id="Find" order="0" />
      <window_info anchor="bottom" id="Run" order="1" weight="0.3297414" />
      <window_info anchor="bottom" id="Logcat" order="2" weight="0.3297414" />
      <window_info anchor="bottom" id="TODO" order="3" weight="0.3297414" />
      <window_info anchor="bottom" id="Debug" order="4" />
      <window_info anchor="bottom" id="Terminal" order="5" weight="0.3297414" />
      <window_info anchor="bottom" id="Event Log" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Build" order="8" weight="0.3297414" />
      <window_info anchor="bottom" id="Android Profiler" order="9" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" weight="0.3291714" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Preview" order="4" />
      <window_info anchor="right" id="Palette&#9;" order="5" />
    </layout>
    <layout-to-restore>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info content_ui="combo" id="Project" order="1" weight="0.32690126" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Resources Explorer" order="7" weight="0.3291714" />
      <window_info id="Capture Tool" order="8" />
      <window_info anchor="bottom" id="Find" order="0" />
      <window_info anchor="bottom" id="Run" order="1" weight="0.3297414" />
      <window_info anchor="bottom" id="Logcat" order="2" weight="0.3297414" />
      <window_info anchor="bottom" id="TODO" order="3" weight="0.3297414" />
      <window_info anchor="bottom" id="Debug" order="4" />
      <window_info anchor="bottom" id="Terminal" order="5" weight="0.3297414" />
      <window_info anchor="bottom" id="Event Log" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info active="true" anchor="bottom" id="Build" order="8" visible="true" weight="0.3297414" />
      <window_info anchor="bottom" id="Android Profiler" order="9" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" weight="0.3291714" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Preview" order="4" />
      <window_info anchor="right" id="Palette&#9;" order="5" />
    </layout-to-restore>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/styles.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/Android/Sdk/platforms/android-29/android.jar!/android/location/LocationListener.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="18" column="9" selection-start-line="18" selection-start-column="9" selection-end-line="18" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable-v24/kenmap1.png" />
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable-v24/2.png" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/ListaDeParadas.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="38" selection-start-column="38" selection-end-line="4" selection-end-column="26" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/lista_de_paradas.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="7" selection-start-column="7" selection-end-column="7" />
          <folding>
            <element signature="e#34#106#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="465">
          <caret line="31" column="52" selection-start-line="31" selection-start-column="52" selection-end-line="31" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="26" column="34" selection-start-line="26" selection-start-column="34" selection-end-line="26" selection-end-column="34" />
        </state>
      </provider>
      <provider selected="true" editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_lista_de_paradas.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="54" selection-start-line="18" selection-start-column="54" selection-end-line="18" selection-end-column="54" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/strings.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="14" column="50" selection-start-line="14" selection-start-column="50" selection-end-line="14" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/example/trolleymerge/MainActivity.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="45" column="1" selection-start-line="45" selection-start-column="1" selection-end-line="45" selection-end-column="1" />
        </state>
      </provider>
    </entry>
  </component>
</project>